Get a list of offramp accounts
curl --request GET \
--url https://business-api.onboard.xyz/ledger/offramp-accounts \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/offramp-accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/offramp-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary": {
"bankCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"accountName": "<string>",
"currency": "<string>",
"accountHolderType": "INDIVIDUAL",
"bankName": "<string>",
"bankAddress": {
"streetAddress": "11 Main Street",
"city": "Gbagada",
"state": "Lagos",
"country": "NG",
"postalCode": "200124",
"apartmentNo": "5B"
},
"beneficiaryType": "<string>",
"isThirdParty": false
},
"payoutCurrency": "KES",
"status": "ACTIVE",
"createdDate": "2023-11-07T05:31:56Z"
}
],
"name": "<string>",
"size": 1,
"totalItems": 1,
"nextPage": 1,
"previousPage": 1
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}Offramp Accounts
List Offramp Accounts
Get a list of offramp accounts, with pagination and payout currency
GET
/
ledger
/
offramp-accounts
Get a list of offramp accounts
Fetches all offramp accounts.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Query Parameters
Filter by payout currency
Example:
"IDR"
Page parameter, starting from 1
Required range:
x >= 1Required range:
1 <= x <= 100Response
List of offramp accounts
Base object for paginated list
Show child attributes
Show child attributes
Descriptive name for the list
Positive integer
Required range:
x >= 0Positive integer
Required range:
x >= 0Positive integer
Required range:
x >= 0Positive integer
Required range:
x >= 0